complexType "CommodityPhysicalAmericanExercise"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | commencementDates?, expirationDates?
</...>

Content Model Elements (2):

  commencementDates, expirationDates

All Direct / Indirect Based Elements (1):

  americanExercise (defined in CommodityPhysicalExercise complexType)

Known Usage Locations

- As direct type of elements (1):
  americanExercise (defined in CommodityPhysicalExercise complexType)

Annotation
The parameters for defining the expiration date(s) and time(s) for an American style option.
Type Definition Detail

Type Derivation Tree Exercise (extension) CommodityPhysicalAmericanExercise

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CommodityPhysicalAmericanExercise"> <xsd:complexContent> <xsd:extension base="Exercise"> <xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:element minOccurs="0" name="commencementDates" type="AdjustableOrRelativeDates"/> <xsd:element minOccurs="0" name="expirationDates" type="AdjustableOrRelativeDates"/> </xsd:sequence> <!--View Generation: SKIPPED latestExerciseTime - Documentation--> <!--View Generation: SKIPPED expirationTime - Documentation--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
commencementDates

  Type: | AdjustableOrRelativeDates, complex content

  The first day(s) of the exercise period(s) for an American-style option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="commencementDates" type="AdjustableOrRelativeDates"/>

expirationDates

  Type: | AdjustableOrRelativeDates, complex content

  The Expiration Date(s) of an American-style option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="expirationDates" type="AdjustableOrRelativeDates"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.